# Searches for applications using predefined parameters Searches for applications using predefined parameters Endpoint: POST /applications/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `contact_id` (array) - `date` (array) - `ids` (array) IDs to search - `last_requirements_calculation_date` (array) - `name` (string) - `number_of_missing_requirements` (array) - `organization_id` (array) - `owner_type` (array) - `percentage_complete` (array) - `process_id` (array) - `program_id` (array) - `status` (array) - `type` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.contact_id` (string) - `Items.date` (string) - `Items.id` (string) The id - `Items.last_requirements_calculation_date` (string) - `Items.name` (string) - `Items.number_of_missing_requirements` (number) - `Items.organization_id` (string) - `Items.owner_type` (string) - `Items.percentage_complete` (number) - `Items.process_id` (string) - `Items.program_id` (string) - `Items.status` (string) - `Items.type` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields